diff -ru phase3_2/includes/CVS/Entries mediawiki/phase3/includes/CVS/Entries
--- phase3_2/includes/CVS/Entries	2004-07-22 23:48:04.974484648 +0000
+++ mediawiki/phase3/includes/CVS/Entries	2004-07-22 22:53:51.957541168 +0000
@@ -58,11 +58,13 @@
 /LinksUpdate.php/1.23/Thu Jul 22 22:53:51 2004//
 /LoadBalancer.php/1.8/Thu Jul 22 22:53:51 2004//
 /LogPage.php/1.12/Thu Jul 22 22:53:51 2004//
+/MagicWord.php/1.20/Thu Jul 22 22:53:51 2004//
 /Math.php/1.16/Thu Jul 22 22:53:51 2004//
 /MessageCache.php/1.18/Thu Jul 22 22:53:51 2004//
 /ObjectCache.php/1.6/Thu Jul 22 22:53:51 2004//
 /OutputPage.php/1.157/Thu Jul 22 22:53:51 2004//
 /PageHistory.php/1.37/Thu Jul 22 22:53:51 2004//
+/Parser.php/1.209/Thu Jul 22 22:53:51 2004//
 /Profiling.php/1.14/Thu Jul 22 22:53:51 2004//
 /QueryPage.php/1.25/Thu Jul 22 22:53:51 2004//
 /RawPage.php/1.15/Thu Jul 22 22:53:51 2004//
@@ -72,6 +74,7 @@
 /Setup.php/1.61/Thu Jul 22 22:53:51 2004//
 /SiteStatsUpdate.php/1.8/Thu Jul 22 22:53:51 2004//
 /Skin.php/1.232/Thu Jul 22 22:53:51 2004//
+/SkinPHPTal.php/1.88/Thu Jul 22 22:53:51 2004//
 /SpecialAllpages.php/1.13/Thu Jul 22 22:53:51 2004//
 /SpecialAncientpages.php/1.13/Thu Jul 22 22:53:51 2004//
 /SpecialBooksources.php/1.11/Thu Jul 22 22:53:51 2004//
@@ -109,7 +112,4 @@
 /UserTalkUpdate.php/1.9/Thu Jul 22 22:53:51 2004//
 /ViewCountUpdate.php/1.7/Thu Jul 22 22:53:51 2004//
 /WatchedItem.php/1.11/Thu Jul 22 22:53:51 2004//
-/MagicWord.php/1.20/Thu Jul 22 23:48:04 2004//
-/Parser.php/1.209/Thu Jul 22 23:48:04 2004//
-/SkinPHPTal.php/1.88/Thu Jul 22 23:48:04 2004//
 D
diff -ru phase3_2/includes/MagicWord.php mediawiki/phase3/includes/MagicWord.php
--- phase3_2/includes/MagicWord.php	2004-07-22 23:48:04.164607768 +0000
+++ mediawiki/phase3/includes/MagicWord.php	2004-07-22 23:10:01.710377560 +0000
@@ -46,6 +46,7 @@
 define("MAG_PAGENAME", 30);
 define("MAG_NAMESPACE", 31);
 define("MAG_TOC", 32);
+define("MAG_ADDSEC", 33);
 
 $wgVariableIDs = array(
 	MAG_CURRENTMONTH,
diff -ru phase3_2/includes/SkinPHPTal.php mediawiki/phase3/includes/SkinPHPTal.php
--- phase3_2/includes/SkinPHPTal.php	2004-07-22 23:48:04.974484648 +0000
+++ mediawiki/phase3/includes/SkinPHPTal.php	2004-07-22 23:49:56.015051352 +0000
@@ -346,7 +346,7 @@
 						'text' => wfMsg('edit'),
 						'href' => $this->makeUrl($this->thispage, 'action=edit'.$oid)
 					);
-					if ( $istalk ) {
+					if ( $istalk ) { # Would need to add || $somevar here which would be true if ADDSEC was set
 						$content_actions['addsection'] = array(
 							'class' => $section == 'new'?'selected':false,
 							'text' => wfMsg('addsection'),
diff -ru phase3_2/languages/CVS/Entries mediawiki/phase3/languages/CVS/Entries
--- phase3_2/languages/CVS/Entries	2004-07-22 23:48:05.399420048 +0000
+++ mediawiki/phase3/languages/CVS/Entries	2004-07-22 22:53:52.296489640 +0000
@@ -43,6 +43,7 @@
 /LanguageKo.php/1.18/Tue Jul 20 07:33:37 2004//
 /LanguageLa.php/1.11/Tue Jul 20 07:33:37 2004//
 /LanguageMs.php/1.14/Tue Jul 20 07:33:38 2004//
+/Language.php/1.269/Wed Jul 21 05:02:45 2004//
 /LanguageNo.php/1.15/Wed Jul 21 05:02:45 2004//
 /LanguageOc.php/1.18/Wed Jul 21 05:02:45 2004//
 /LanguageRo.php/1.35/Wed Jul 21 05:02:45 2004//
@@ -56,4 +57,3 @@
 /Names.php/1.5/Wed Jul 21 05:02:45 2004//
 /LanguageCy.php/1.14/Thu Jul 22 22:53:52 2004//
 /LanguageTt.php/1.3/Wed Jul 21 20:13:23 2004//
-/Language.php/1.269/Thu Jul 22 23:48:05 2004//
diff -ru phase3_2/languages/Language.php mediawiki/phase3/languages/Language.php
--- phase3_2/languages/Language.php	2004-07-22 23:48:05.397420352 +0000
+++ mediawiki/phase3/languages/Language.php	2004-07-22 23:22:08.831986232 +0000
@@ -163,6 +163,7 @@
     MAG_TOC                  => array( 0,    '__TOC__'                ),
     MAG_NOEDITSECTION        => array( 0,    '__NOEDITSECTION__'      ),
     MAG_START                => array( 0,    '__START__'              ),
+    MAG_ADDSEC               => array( 0,    '__ADDSEC__'             ),
     MAG_CURRENTMONTH         => array( 1,    'CURRENTMONTH'           ),
     MAG_CURRENTMONTHNAME     => array( 1,    'CURRENTMONTHNAME'       ),
     MAG_CURRENTDAY           => array( 1,    'CURRENTDAY'             ),
Only in phase3_2/languages: .Language.php.swp
